> For the complete documentation index, see [llms.txt](https://docs.chatlayer.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chatlayer.ai/chatlayer-documentation-pt-br/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md).

# Direcione seu fluxo de acordo com o canal

Use um bloco de Condição para direcionar seu fluxo de acordo com o canal que seu cliente está usando.

## Multicanal

O Chatlayer.ai permite conectar um bot a vários canais ao mesmo tempo.

Se você quiser que seus usuários sigam um fluxo diferente com base no canal que estão usando, você pode usar nossa funcionalidade multicanal. Para fazer isso, adicione um [Ir para](/chatlayer-documentation-pt-br/buildabot/flow-logic/dialog-state/plugins.md) ao ponto do seu fluxo em que você deseja divergir, com base no canal.

Dentro desse 'Go To', oriente o usuário com base na `internal.channel` variável, que contém a variável do canal. Na imagem abaixo, você pode ver um bot conectado ao Facebook Messenger e ao Web chat; para oferecer a melhor experiência em cada canal, ele desvia os usuários para o fluxo específico do canal criando uma condição: se a variável internal.channel for igual a "facebook", crie um 'Go To' para o fluxo do Facebook; se não (else if), crie um 'Go To' para o fluxo da Web:

![](https://181262846-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-LLTwFwbOqJj4dDhg8Ju%2Fuploads%2FCwDZ0mI7WYDET0XLZNdw%2Fimage.png?alt=media\&token=f7f02654-9ba9-447c-9cd7-ad46a53f5f72)

Os valores de `internal.channel` correspondem aos nomes dos canais:

| Nome do canal                                                                                                  | valores de internal.channel |
| -------------------------------------------------------------------------------------------------------------- | --------------------------- |
| Todos os canais gerenciados pela Sinch Conversation API (SMS, RCS, WhatsApp, Viber, Instagram, Telegram, LINE) | sinchConversationAPI        |
| Amazon                                                                                                         | amazon                      |
| Canal de integração de app (no momento: Freshdesk Messaging webchat)                                           | AppIntegrationChannel       |
| Widget de chat                                                                                                 | web                         |
| Facebook Messenger                                                                                             | facebook                    |
| Workplace do Facebook                                                                                          | facebookWorkplace           |
| Google Home                                                                                                    | googleHome                  |
| Intercom                                                                                                       | intercom                    |
| Telefone (por meio do CM.com legado)                                                                           | cmPhone                     |
| Sinch Contact Pro                                                                                              | SinchInboxBotChannel        |
| Sinch Voice                                                                                                    | SinchVoiceBotChannel        |
| Sparkcentral                                                                                                   | SparkcentralBotChannel      |
| Voz (por meio do CM.com legado)                                                                                | voice                       |
| Webhook                                                                                                        | webHook                     |
| Whatsapp (por meio do CM WhatsApp legado)                                                                      | whatsapp                    |
| WhatsApp via ACL                                                                                               | ACLWhatsappBotChannel       |
| WhatsApp via Wavy                                                                                              | WavyWhatsappBotChannel      |
| Zendesk                                                                                                        | ZendeskChatBotChannel       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.chatlayer.ai/chatlayer-documentation-pt-br/buildabot/tips-and-best-practices/route-your-flow-depending-on-the-channel.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
